Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
WGPUSamplerDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes
WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPUAddressMode | addressModeU
WGPUAddressMode | addressModeV
WGPUAddressMode | addressModeW
WGPUFilterMode | magFilter
WGPUFilterMode | minFilter
WGPUMipmapFilterMode | mipmapFilter
float | lodMinClamp
float | lodMaxClamp
WGPUCompareFunction | compare
uint16_t | maxAnisotropy

## Detailed Description

Definition at line 1448 of file mini_webgpu.h.

## Member Data Documentation

## ◆ nextInChain

WGPUChainedStruct const* WGPUSamplerDescriptor::nextInChain

Definition at line 1449 of file mini_webgpu.h.

## ◆ label

WGPU_NULLABLE char const* WGPUSamplerDescriptor::label

Definition at line 1450 of file mini_webgpu.h.

## ◆ addressModeU

WGPUAddressMode WGPUSamplerDescriptor::addressModeU

Definition at line 1451 of file mini_webgpu.h.

## ◆ addressModeV

WGPUAddressMode WGPUSamplerDescriptor::addressModeV

Definition at line 1452 of file mini_webgpu.h.

## ◆ addressModeW

WGPUAddressMode WGPUSamplerDescriptor::addressModeW

Definition at line 1453 of file mini_webgpu.h.

## ◆ magFilter

WGPUFilterMode WGPUSamplerDescriptor::magFilter

Definition at line 1454 of file mini_webgpu.h.

## ◆ minFilter

WGPUFilterMode WGPUSamplerDescriptor::minFilter

Definition at line 1455 of file mini_webgpu.h.

## ◆ mipmapFilter

WGPUMipmapFilterMode WGPUSamplerDescriptor::mipmapFilter

Definition at line 1456 of file mini_webgpu.h.

## ◆ lodMinClamp

float WGPUSamplerDescriptor::lodMinClamp

Definition at line 1457 of file mini_webgpu.h.

## ◆ lodMaxClamp

float WGPUSamplerDescriptor::lodMaxClamp

Definition at line 1458 of file mini_webgpu.h.

## ◆ compare

WGPUCompareFunction WGPUSamplerDescriptor::compare

Definition at line 1459 of file mini_webgpu.h.

## ◆ maxAnisotropy

uint16_t WGPUSamplerDescriptor::maxAnisotropy

Definition at line 1460 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h